:root {
  --bbk-blue: #0b1c2d;
  --bbk-red: #c4161c;
  --bbk-white: #ffffff;
}

body {
  font-family: Arial, sans-serif;
  background-color: #0b1c2d;
}

.navbar {
  background-color: var(--bbk-white);
}

.nav-link {
  color: var(--bbk-blue);
  font-weight: 500;
  border-radius: 15%;
}

.nav-link:hover {
  color: var(--bbk-red);
  background-color: var(--bbk-blue);

}
.modelos{
  background-color: var(--bbk-blue);
}

#nosotros{
  color: var(--bbk-white);
}
/* LOGO */
.bbk-b {
  background: white;
  color: var(--bbk-blue);
  padding: 4px 6px;
}

.bbk-b2 {
  background: var(--bbk-blue);
  color: white;
  padding: 4px 6px;
}

.bbk-k {
  background: var(--bbk-red);
  color: white;
  padding: 4px 6px;
}

/* HERO */
.hero {
  height: 60vh;
  background: url("../bigbagej.jpg") center/cover no-repeat;
}

.hero-overlay {
  background: rgba(11, 28, 45, 0.8);
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: white;
  text-align: center;
  padding: 20px;
}

.hero h1 {
  font-size: 3rem;
}

@media (max-width: 768px) {
  .hero h1 {
    font-size: 2rem;
  }
  .section{
    margin: auto;  }
}

.map-container {
  border-radius: 8px;
  overflow: hidden;
  box-shadow: 0 8px 20px rgba(0,0,0,0.15);
}

/* SECTIONS */
.section {
  padding: 80px 0;
  text-align: center;
  background-color: var(--bbk-blue);
}

.section-title {
  text-align: center;
  font-weight: bold;
  margin-bottom: 40px;
}

/* CARDS */
.card {
  background-color: white;
  color: #111;
  border: none;
  box-shadow: 0 8px 20px #00000033;
  transition: transform .3s;  
}

.card:hover {
  transform: translateY(-5px);
}

/* FOOTER */
.footer {
  background: var(--bbk-blue);
  color: white;
  text-align: center;
  padding: 20px;
}

.footer a {
  color: var(--bbk-red);
  text-decoration: none;
}

/* WHATSAPP FLOAT */

.wsp-float {
      position: fixed;
      bottom: 20px;
      right: 20px;
      background-color: #25D366;
      color: white;
      border-radius: 50%;
      width: 60px;
      height: 60px;
      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 32px;
      z-index: 1000;
      text-decoration: none;
      box-shadow: 0 4px 10px rgba(0,0,0,0.3);
    }

.navbar-toggler{
    background-color:var(--bbk-white);
    border-radius: 10px;
}

@media (max-width: 576px) {
  .card-title {
    font-size: 0.7rem;
  }

  .card-text {
    font-size: 0.6rem;
  }

  .card-body {
    padding: 10px;
  }
}

.lang-flag {
  cursor: pointer;
  border-radius: 3px;
  transition: transform 0.2s ease;
}

.lang-flag:hover {
  transform: scale(1.1);
}

h5{
  text-transform: uppercase;
  font-size: 10px;
  font-weight: 900;
}